cosinv
Prev | Orchestra Opcodes and Operators | Next

## cosinv

cosinv — Performs a arccosine function.

## Description

Returns the arccosine of x (x in radians).

## Syntax

    cosinv(x) (no rate
        restriction)

    cosinv(k/i[]) (k- or i-arrays )

## Examples

Here is an example of the cosinv opcode. It uses the file cosinv.csd.

Example 168. Example of the cosinv opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -n  ; no sound
    ; For Non-realtime ouput leave only the line below:
    ; -o cosinv.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; by Kevin Conder

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    instr 1

    irad = 0.5
    i1 = cosinv(irad)
    print i1

    endin

    </CsInstruments>
    <CsScore>
    i 1 0 1
    e
    </CsScore>
    </CsoundSynthesizer>

Its output should include lines like this:

    instr 1:  i1 = 1.047

## See also

Trigonometric Functions

## Credits

Author: John ffitch

New in version 3.48

Prev | Up | Next
cosh | Home | count